Opened 6 years ago

Closed 6 years ago

#15700 closed defect (fixed)

bdist fails because configure is not downloaded

Reported by: vbraun Owned by:
Priority: blocker Milestone: sage-6.1
Component: build Keywords:
Cc: jdemeyer Merged in:
Authors: Jeroen Demeyer Reviewers: Volker Braun
Report Upstream: N/A Work issues:
Branch: u/vbraun/ticket/15700 (Commits) Commit: 8d352dde7846e8b199dd6be534c464573b9ac993
Dependencies: #15606 Stopgaps:

Description

On my new OSX 10.9 buildbot I get:

$ ./sage -bdist
Sage version 6.1.beta5, release date 2014-01-15
Error: configure tarball '/Users/vbraun/Sage/upstream/configure-3.tar.gz' does not exist.
Run sage-autogen and try again.

Change History (13)

comment:1 Changed 6 years ago by vbraun

Jeroen, any thoughts? This would have worked if we had used "sage -f configure"....

comment:2 Changed 6 years ago by vbraun

  • Cc jdemeyer added

comment:3 Changed 6 years ago by jdemeyer

Am I allowed to make this ticket depend on #15606 (to avoid conflicts)?

comment:4 Changed 6 years ago by vbraun

Go ahead...

comment:5 Changed 6 years ago by jdemeyer

  • Authors set to Jeroen Demeyer
  • Dependencies set to #15606

comment:6 Changed 6 years ago by jdemeyer

  • Branch set to u/jdemeyer/ticket/15700
  • Created changed from 01/20/14 21:30:15 to 01/20/14 21:30:15
  • Modified changed from 01/23/14 10:12:13 to 01/23/14 10:12:13

comment:7 Changed 6 years ago by jdemeyer

  • Commit set to 575bbdffee06f75a75ded8f53facd227ec0cf4e5
  • Status changed from new to needs_review

New commits:

ac5c182Move checks from prereq.sh to configure
0f92bb1Merge branch 'ticket/15580' into ticket/15606
0a4e34eRevert changes to sage-update-version
fc1b607Symlink config.log to logs/pkgs/config.log
aee21c6Merge branch 'u/jdemeyer/ticket/15580' of git://trac.sagemath.org/sage into ticket/15606
2c2f372Move all bootstrapping to ./bootstrap
b1d5009Merge tag '6.1.beta6' into t/15606/ticket/15606
f10ca8fbump confball version
575bbdfsage-clone-source: allow downloading the configure tarball

comment:8 Changed 6 years ago by vbraun

  • Reviewers set to Volker Braun

comment:9 Changed 6 years ago by vbraun

  • Branch changed from u/jdemeyer/ticket/15700 to u/vbraun/ticket/15700

comment:10 Changed 6 years ago by vbraun

  • Resolution set to fixed
  • Status changed from needs_review to closed

comment:11 Changed 6 years ago by vbraun

  • Commit changed from 575bbdffee06f75a75ded8f53facd227ec0cf4e5 to 3f538924dc5b542cf6c2abdabc7ab5a4553024c7
  • Resolution fixed deleted
  • Status changed from closed to new

First increment the version, then use the version number...


New commits:

3f53892bump confball version

comment:12 Changed 6 years ago by git

  • Commit changed from 3f538924dc5b542cf6c2abdabc7ab5a4553024c7 to 8d352dde7846e8b199dd6be534c464573b9ac993

Branch pushed to git repo; I updated commit sha1. New commits:

8d352ddonly use CONFVERSION after it has been incremented

comment:13 Changed 6 years ago by vbraun

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.